/**
 * Copyright (c) 2019 开源 All rights reserved.
 *
 * https://www.link.io
 *
 * 版权所有，侵权必究！
 */

package com.link.modules.activiti.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.link.common.page.PageData;
import com.link.common.service.impl.BaseServiceImpl;
import com.link.common.utils.ConvertUtils;
import com.link.modules.activiti.dao.ProcessActivityDao;
import com.link.modules.activiti.dto.HistoryDetailDTO;
import com.link.modules.activiti.dto.ProcessActivityDTO;
import com.link.modules.activiti.entity.HistoryDetailEntity;
import com.link.modules.activiti.entity.ProcessActivityEntity;
import com.link.modules.activiti.service.ActivitiService;
import com.link.modules.security.user.SecurityUser;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 工作流
 *
 * @author Jone
 */
@Service
public class ActivitiServiceImpl extends BaseServiceImpl<ProcessActivityDao, ProcessActivityEntity> implements ActivitiService {

    @Override
    public PageData<ProcessActivityDTO> getMyProcessInstancePage(Map<String, Object> params) {
        params.put("userId", SecurityUser.getUserId().toString());
        IPage<ProcessActivityEntity> page = getPage(params, null, false);
        List<ProcessActivityEntity> list = baseDao.getMyProcessInstancePage(params);
        return getPageData(list, page.getTotal(), ProcessActivityDTO.class);
    }

    @Override
    public List<HistoryDetailDTO> getTaskHandleDetailInfo(String processInstanceId) {
        List<HistoryDetailEntity> listEntity = baseDao.getTaskHandleDetailInfo(processInstanceId);
        for(HistoryDetailEntity entity : listEntity){
            if(entity.getEndTime() != null && entity.getStartTime() != null){
                long diff = entity.getEndTime().getTime() - entity.getStartTime().getTime();
                entity.setDurationInSeconds(diff/1000);
            }
        }
        return ConvertUtils.sourceToTarget(listEntity, HistoryDetailDTO.class);
    }
}
