package com.link.service.impl;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.link.common.service.impl.CrudServiceImpl;
import com.link.dao.AgentnodeDao;
import com.link.dto.AgentnodeDTO;
import com.link.entity.AgentnodeEntity;
import com.link.dao.AgentnodeDao;
import com.link.dto.AgentnodeDTO;
import com.link.entity.AgentnodeEntity;
import com.link.service.AgentnodeService;
import com.link.service.AgentnodeService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import javax.swing.text.ComponentView;
import java.util.Map;

/**
 * @author Mr.Feng zhijian.feng@hrtuoyu.com
 * @since 1.0.0 2020-04-13
 */
@Service
public class AgentnodeServiceImpl extends CrudServiceImpl<AgentnodeDao, AgentnodeEntity, AgentnodeDTO> implements AgentnodeService {

    @Override
    public QueryWrapper<AgentnodeEntity> getWrapper(Map<String, Object> params) {
        String id = (String) params.get("id");
        String name = Convert.toStr(params.get("name"));
        String nodeIds = Convert.toStr(params.get("nodeIds"));

        QueryWrapper<AgentnodeEntity> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(id), "id", id);
        wrapper.eq(StrUtil.isNotBlank(name), "name", name);
        wrapper.inSql(StrUtil.isNotBlank(nodeIds), "id", nodeIds);

        return wrapper;
    }


}