package com.link.service.impl;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.link.common.service.impl.CrudServiceImpl;
import com.link.dao.BdajobDao;
import com.link.dto.BdajobDTO;
import com.link.entity.BdajobEntity;
import com.link.dao.BdajobDao;
import com.link.dto.BdajobDTO;
import com.link.entity.BdajobEntity;
import com.link.service.BdajobService;
import com.link.service.BdajobService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 
 *
 * @author Mr.Feng zhijian.feng@hrtuoyu.com
 * @since 1.0.0 2020-04-13
 */
@Service
public class BdajobServiceImpl extends CrudServiceImpl<BdajobDao, BdajobEntity, BdajobDTO> implements BdajobService {

    @Override
    public QueryWrapper<BdajobEntity> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");
        String jobName = Convert.toStr(params.get("jobName"));

        QueryWrapper<BdajobEntity> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(id), "id", id);
        wrapper.eq(StrUtil.isNotBlank(jobName),"job_name",jobName);

        return wrapper;
    }


}