package com.link.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.link.common.service.impl.CrudServiceImpl;
import com.link.common.utils.ConvertUtils;
import com.link.dao.IndiceDataDao;
import com.link.dto.IndiceDataDTO;
import com.link.entity.IndiceDataEntity;
import com.link.dao.IndiceDataDao;
import com.link.dto.IndiceDataDTO;
import com.link.entity.IndiceDataEntity;
import com.link.entity.IndiceEntity;
import com.link.service.IndiceDataService;
import com.link.service.IndiceDataService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 指标数据表
 *
 * @author Mr.Feng zhijian.feng@hrtuoyu.com
 * @since 1.0.0 2020-05-15
 */
@Service
public class IndiceDataServiceImpl extends CrudServiceImpl<IndiceDataDao, IndiceDataEntity, IndiceDataDTO> implements IndiceDataService {

    @Override
    public QueryWrapper<IndiceDataEntity> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");

        QueryWrapper<IndiceDataEntity> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(id), "id", id);

        return wrapper;
    }


    @Override
    public List<IndiceDataDTO> getJoinList(Map<String, Object> paramsMap) {
        return ConvertUtils.sourceToTarget(baseDao.getJoinList(paramsMap), IndiceDataDTO.class);
    }
}