package com.link.service.impl;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.ArrayUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.link.common.service.impl.CrudServiceImpl;
import com.link.dao.IndiceDao;
import com.link.dto.IndiceDTO;
import com.link.entity.IndiceEntity;
import com.link.dao.IndiceDao;
import com.link.dto.IndiceDTO;
import com.link.entity.IndiceEntity;
import com.link.service.IndiceService;
import com.link.service.IndiceService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 指标集合表
 *
 * @author Mr.Feng zhijian.feng@hrtuoyu.com
 * @since 1.0.0 2020-05-15
 */
@Service
public class IndiceServiceImpl extends CrudServiceImpl<IndiceDao, IndiceEntity, IndiceDTO> implements IndiceService {

    @Override
    public QueryWrapper<IndiceEntity> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");
        String indice = (String)params.get("indice");
        String indiceName = (String)params.get("indiceName");
        String indiceDesc = (String)params.get("indiceDesc");
        String type = (String)params.get("type");
        String[] indiceArr = (String[])params.get("indiceArr");
        String indices = Convert.toStr(params.get("indices"));

        QueryWrapper<IndiceEntity> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(id), "id", id);
        wrapper.eq(StringUtils.isNotBlank(indice), "indice", indice);
        wrapper.eq(StringUtils.isNotBlank(indiceName), "indice_name", indiceName);
        wrapper.eq(StringUtils.isNotBlank(indiceDesc), "indice_desc", indiceDesc);
        wrapper.eq(StringUtils.isNotBlank(type), "type", type);
        if(ArrayUtil.isNotEmpty(indiceArr)){
            wrapper.in("indice",indiceArr);
        }
        wrapper.inSql(StrUtil.isNotBlank(indices),"indice",indices);

        return wrapper;
    }


}