package com.link.service.impl;

import cn.hutool.core.convert.Convert;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.link.common.constant.Constant;
import com.link.common.page.PageData;
import com.link.common.service.impl.CrudServiceImpl;
import com.link.common.utils.ConvertUtils;
import com.link.dao.OoziejobresultDao;
import com.link.dto.OoziejobresultDTO;
import com.link.entity.OoziejobresultEntity;
import com.link.dao.OoziejobresultDao;
import com.link.dto.OoziejobresultDTO;
import com.link.entity.OoziejobresultEntity;
import com.link.service.OoziejobresultService;
import com.link.service.OoziejobresultService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @author Mr.Feng zhijian.feng@hrtuoyu.com
 * @since 1.0.0 2020-04-13
 */
@Service
public class OoziejobresultServiceImpl extends CrudServiceImpl<OoziejobresultDao, OoziejobresultEntity, OoziejobresultDTO> implements OoziejobresultService {

    @Override
    public QueryWrapper<OoziejobresultEntity> getWrapper(Map<String, Object> params) {
        String id = (String) params.get("id");

        QueryWrapper<OoziejobresultEntity> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(id), "id", id);

        return wrapper;
    }


    @Override
    public PageData<OoziejobresultDTO> getPage(Map<String, Object> params) {
        IPage<OoziejobresultEntity> page = baseDao.getPage(getPage(params, "createdtime", false), params);
        return getPageData(page, OoziejobresultDTO.class);
    }

    @Override
    public List<OoziejobresultDTO> getJoinList(Map<String, Object> params) {
        List<OoziejobresultEntity> entityList = baseDao.getJoinList(params);
        return ConvertUtils.sourceToTarget(entityList,OoziejobresultDTO.class);
    }
}